Changing a reference shows useless and confusing details in visual diff
Closed, ResolvedPublic1 Story Points

Description

In this edit I completely replaced a reference by a different one. This is what the visual diff showed me (not visible in historical diff):


Neither of these internal details helps me understanding the diff in any way. The removed and inserted references were shown as such in the list of all references at the bottom of the diff, which was actually all I needed to properly review my change.

Schnark created this task.Jul 22 2017, 8:35 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 22 2017, 8:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Izno moved this task from Unsorted backlog to External on the Cite board.Jul 25 2017, 1:51 PM
Deskana triaged this task as Normal priority.Jul 25 2017, 7:18 PM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

I think this is a case of T166801

Actually this case is a little more subtle. T166801 will mark templates as changed if their name changes (Cite_web -> Cite_book).

It's likely here that the template hasn't changed name, but semantically it is a completely different reference. Defining the threshold for a reference template being modified vs being replaced is going to be quite hard because (1) the parameters are localised and (2) at what threshold does the reference become different (e.g. what is the difference between fixing a typo in the URL, and changing the URL to another article on the same website).

I don't really care whether the reference shows up as deleted and inserted vs. changed. But all those internal changes ("mw", "listIndex", "listKey", "contetsUsed", "refListItemId") shouldn't be shown to a user. Instead, the annotation could just show something like "This reference has been changed in some way."

I'm not actually seeing any changes displayed at that URL, nor should there be since https://gerrit.wikimedia.org/r/#/c/343134/

Has this been resolved now?

No. Note that this only happens while reviewing the change in VE. The historical diff looks as I would expect it.

Change 371588 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/Cite@master] VisualDiff: Show less information about ref nodes

https://gerrit.wikimedia.org/r/371588

Change 371756 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[VisualEditor/VisualEditor@master] VisualDiff: Show internal list remove-inserts

https://gerrit.wikimedia.org/r/371756

Change 371756 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] VisualDiff: Show internal list remove-inserts

https://gerrit.wikimedia.org/r/371756

Change 373166 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (94532edbf)

https://gerrit.wikimedia.org/r/373166

Not quite done yet: still waiting for https://gerrit.wikimedia.org/r/371588 to get merged.

Deskana set the point value for this task to 1.Aug 23 2017, 10:13 AM

Change 373166 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (d7bb71b95)

https://gerrit.wikimedia.org/r/373166

Change 371588 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] VisualDiff: Show less information about ref nodes

https://gerrit.wikimedia.org/r/371588

Deskana closed this task as Resolved.Sep 5 2017, 3:00 PM
Deskana assigned this task to Tchanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 5 2017, 3:00 PM